Status: Closed Start date:
Priority: Normal Due date:
Category: Wiki Estimated time: 0.00 hour
Target version:
Resolution:
Description

many issues are not connected with a single project, like HowTo's, so it would be nice to have a separate wiki for the
whole redmine site.

Related issues:
Duplicates Redmine - Feature # 1040: Global wiki Reopened 2008-04-10

History
#1 - 2008-02-01 10:56 - Ele Mental

We use redMine in our organization and its shared between mutliple
teams.  We have 2 development teams and an IT team.  it would
be nice to allow each of these teams to have a global  News,
Documents, Wiki, Files, Activity, Roadmaps that show only the
projects in their scope.

#2 - 2008-01-31 16:30 - David Petersen

It almost seems like making "redmine" a "master
root" project with all the real project in redmine as subproject
of it would be exactly what is needed.  Would allow you too turn
on and off the different "parts" of the project.  You
could also be able to use that "master root" project
to get a calendar view of every project in redmine.

#3 - 2008-01-25 07:39 - Cristian Molina

Yes, me too, idem with other modules like news.
The alternatives that I can think is create a special project
for 'Others' general things or create a superProject and all
projects inherits from it.

#4 - 2007-12-17 17:42 - Maxim Krušina

I agree, but not only Wiki. I think it should be great to have
global: * News * Documents * Wiki * Files

#5 - 2007-11-09 05:33 - Derek Montgomery
That would be indeed really sweet, along with a global forums
that could gather all the projects specific ones into one commun
page.

#6 - 2007-10-30 10:19 - Gunars Grundstoks

Yes, General Wiki for all Redmine site would be very, very useful.
So, Wiki per project, and Wiki for all Redmine.

#7 - 2007-07-19 15:50 - Alexandre Garino

+1

IMHO a global wiki is a must have to reference coding guidelines,
...

#8 - 2009-01-21 12:11 - Igor Rafael

+1 It's very important.

#9 - 2009-04-11 09:19 - Paul Rivier

David Petersen wrote:

It almost seems like making "redmine" a "master
root" project with all the real project in redmine as subproject
of it would be exactly what is needed.  Would allow you too turn
on and off the different "parts" of the project.  You
could also be able to use that "master root" project
to get a calendar view of every project in redmine.

Yes, I really agree. Redmine projects could be organized in a tree with a single common root, being the global project.

#10 - 2009-04-11 09:39 - Andrew Chaika

Paul Rivier wrote:

Yes, I really agree. Redmine projects could be organized in a tree with a single common root, being the global project.

After in Redmine was added support for unlimited project nesting many things have changed if you use one "master root" project:
    -  There is no need to use "Overral Activity", "All Issues". It was uncomfortable for me to view all issues I was needed to click on all project and then
on all issues, now I just click on Main/Global project.
    -  When using roles inheritance plugin or patch it's possible to add global roles for some users
    -  As you say it's possible to make global/main News, Wikis, etc.

#11 - 2009-04-11 10:33 - Paul Rivier
Andrew Chaika wrote:

(...) if you use one "master root" project:

Yes, and I think we should go even further, and have by default (IOW as a migration) a single root project. Just any project would be a subproject of
that one.

#12 - 2009-04-22 10:00 - Tim Aleinikoff

I think will be better to add function "share wikis page" for selected projects. It will be more useful, than only one general wiki.
In my project i use 2 trees of projects - vendors/products and client/projects for organize issues, wikis and others.

#13 - 2010-04-29 02:46 - Michael Sanders

I'm in the same boat.
I want to write some How-to guides for handling the workflow that I have meticulously planned for my team.
However, I do not feel that putting it under one of the projects is proper, as opposed a general wiki that allows me to cover subjects that affect Redmine
or all of the projects.

#14 - 2010-07-21 19:22 - Ryan Rangel

+1

#15 - 2010-08-25 22:42 - Željko Trogrlić
+1, can be used for
    -  organizational issues
    -  common technical topics

#16 - 2011-03-23 11:37 - Toshi MARUYAMA
- Category set to Wiki

#17 - 2015-12-23 06:14 - Go MAEDA
- Status changed from New to Closed

Closing as a duplicate of #1040.
